RDCode: Canon::MolStackElem Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# Canon::MolStackElem Class Reference

these are the actual elements in the molecular stack More...

`#include <Canon.h>`

List of all members.

## Public Member Functions
| MolStackElem (RDKit::Atom *at)
| construct an Atom node
| MolStackElem (RDKit::Bond *bond, int idx)
| construct a bond node
| MolStackElem (int idx)
| construct for a ring closure
| MolStackElem (const char *chr, int idx)
| construct for a branch opening or closing
## Public Attributes
MolStackTypes | type
| stores the type of node
MolStackUnion | obj
| holds our pointer (if appropriate)
int | number
| stores our number (relevant for bonds and ring closures)

## Detailed Description

these are the actual elements in the molecular stack

Definition at line 42 of file Canon.h.

## Constructor & Destructor Documentation

Canon::MolStackElem::MolStackElem | ( | RDKit::Atom * | at | ) | `[inline, explicit]`

construct an Atom node

Definition at line 45 of file Canon.h.

References Canon::MolStackUnion::atom, Canon::MOL_STACK_ATOM, obj, and type.

Canon::MolStackElem::MolStackElem | ( | RDKit::Bond * | bond,
|  | int | idx |
| ) |  |  | `[inline, explicit]`

construct a bond node

Parameters:

  | bond | pointer to the Bond being added
  | idx | index of the Atom traversed before this Bond (beginAtom in the canonical traversal order)

Definition at line 56 of file Canon.h.

References Canon::MolStackUnion::bond, Canon::MOL_STACK_BOND, number, obj, and type.

Canon::MolStackElem::MolStackElem | ( | int | idx | ) | `[inline, explicit]`

construct for a ring closure

Definition at line 62 of file Canon.h.

References Canon::MOL_STACK_RING, number, and type.

Canon::MolStackElem::MolStackElem | ( | const char * | chr,
|  | int | idx |
| ) |  |  | `[inline, explicit]`

construct for a branch opening or closing

Definition at line 67 of file Canon.h.

References Canon::MOL_STACK_BRANCH_CLOSE, Canon::MOL_STACK_BRANCH_OPEN, number, and type.

## Member Data Documentation

MolStackTypes Canon::MolStackElem::type

stores the type of node

Definition at line 80 of file Canon.h.

Referenced by MolStackElem().

MolStackUnion Canon::MolStackElem::obj

holds our pointer (if appropriate)

Definition at line 81 of file Canon.h.

Referenced by MolStackElem().

int Canon::MolStackElem::number

stores our number (relevant for bonds and ring closures)

Definition at line 82 of file Canon.h.

Referenced by MolStackElem().

The documentation for this class was generated from the following file:

- Canon.h